Summary:	Subtitle formats converter
Name:		subconv
Version:	0.4
Release:	6
License:	GPL
Group:		Applications/System
Source0:	%{name}.py
URL:		http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/subconv/
BuildRequires:	rpm-pythonprov
Requires:	mediainfo
Requires:	python-modules >= 1:2.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Subtitle formats converter.

%prep

%install
rm -rf $RPM_BUILD_ROOT

install -D %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}/subconv

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/subconv
%changelog
* Sun Nov 08 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/subconv.git;a=log;h=master

* Sun Nov 08 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9004b21
- rel 6; skip utf8 bom

* Sun Jul 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2dbdaea
- rel 5; display subtitles longer in mdvd format when end time not specified

* Fri Jun 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6826293
- rel 4; properly pass file path into xyz_fps()

* Fri Jun 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b5bbe49
- rel 3; get dirname from whole path

* Thu May 13 2010 sparky <sparky@pld-linux.org> a849d1e
- BR: rpm-pythonprov

* Sun Apr 11 2010 areq <areq@pld-linux.org> ad54e21
- add sub_fix_times function

* Sun Apr 11 2010 areq <areq@pld-linux.org> ab0ac02
- don't destroy subtitle list in detect_format function

* Mon Apr 05 2010 areq <areq@pld-linux.org> e350ac6
- simple way to get fps from avi/mkv in pure python

* Thu Mar 04 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d1b6ba9
- try to get fps data from napiprojekt database

* Sun Feb 28 2010 areq <areq@pld-linux.org> fe7ee42
- main() function
- detect_format() will be quiet

* Mon Feb 22 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6405344
- rel 2; fix very nasty typo preventing mediainfo fps detection from working

* Sun Feb 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e5dbeb
- ver 4; working fps detection for mdvd format

* Sun Feb 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 21acc1c
- postfix fps returned from file

* Sun Feb 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 93b609c
- python >= 2.4 needed

* Sun Feb 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a9d17b4
- rel 4; fps bugfix

* Sun Feb 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 63fc9ae
- rel 3; mediainfo based fps detection

* Sun Feb 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ec06e0a
- mediainfo, file based fps detection

* Sat Feb 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 29d2aad
- subconv only in cvs now

* Sat Feb 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d5ea728
- version 0.3

* Sat Feb 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 109e065
- drop versioning from here, revert wrong mdvd matching

